=head1 NAME

idngram_merge - merge idngram file into one

=head1 SYNOPSIS

B<idngram_merge> [I<option>]... I<idngram_file>...

=head1 DESCRIPTION

B<idngram_merge> merge multiple idngram file, each of them are sorted
[id1,...,idN,freq] array, into one idngram file. For those id1..idN which 
appear in more than one files, only one item will appear in the final file, 
and its freq are summed. The idngram files are original generated by 
B<ids2ngram>.

=head1 OPTIONS
All the following options are mandatory.

=over 4

=item B<-n>, B<--NMax> I<N>

Specify the N-gram of source data file.

=item B<-o>, B<--out> I<output-file>

Specifiy the final merged idngram file.

=back


=head1 EXAMPLE

Following example merge 2 id3gram files into a large one:

    B<idngram_merge -n3 -o all.id3gram first.id3gram second.id3gram>

=head1 AUTHOR

Originally written by Phill.Zhang E<lt>phill.zhang@sun.comE<gt>.
Currently maintained by Kov.Chai E<lt>tchaikov@gmail.comE<gt>.

=head1 SEE ALSO

B<ids2ngram>(1).

=for comment
-*- indent-tabs-mode: nil -*- vim:et:ts=4
